summaryrefslogtreecommitdiffstats
path: root/system/dateutils
diff options
context:
space:
mode:
author Audrius Kažukauskas <audrius@neutrino.lt>2012-12-16 17:43:53 -0500
committer dsomero <xgizzmo@slackbuilds.org>2012-12-23 09:16:33 -0500
commit4141d8a96769dfb77d1167dc37c703ed31fc5cb4 (patch)
tree4a2107223f14cb076de03c3e6f75a2cf04c6f7ef /system/dateutils
parent2725f5047feb19d264cc94d3c3bb3299341c4ec6 (diff)
downloadslackbuilds-4141d8a96769dfb77d1167dc37c703ed31fc5cb4.tar.gz
slackbuilds-4141d8a96769dfb77d1167dc37c703ed31fc5cb4.tar.xz
system/dateutils: Added (cli tools to work with dates and times)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'system/dateutils')
-rw-r--r--system/dateutils/README3
-rw-r--r--system/dateutils/dateutils.SlackBuild98
-rw-r--r--system/dateutils/dateutils.info10
-rw-r--r--system/dateutils/slack-desc19
4 files changed, 130 insertions, 0 deletions
diff --git a/system/dateutils/README b/system/dateutils/README
new file mode 100644
index 0000000000..4ff36acd74
--- /dev/null
+++ b/system/dateutils/README
@@ -0,0 +1,3 @@
+Dateutils are a bunch of tools that revolve around fiddling with dates
+and times in the command line with a strong focus on use cases that
+arise when dealing with large amounts of financial data.
diff --git a/system/dateutils/dateutils.SlackBuild b/system/dateutils/dateutils.SlackBuild
new file mode 100644
index 0000000000..35f43c135d
--- /dev/null
+++ b/system/dateutils/dateutils.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for dateutils
+
+# Copyright 2012 Audrius Kažukauskas <audrius@neutrino.lt>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=dateutils
+VERSION=${VERSION:-0.2.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/dateutils/dateutils.info b/system/dateutils/dateutils.info
new file mode 100644
index 0000000000..cea4b30e15
--- /dev/null
+++ b/system/dateutils/dateutils.info
@@ -0,0 +1,10 @@
+PRGNAM="dateutils"
+VERSION="0.2.3"
+HOMEPAGE="http://hrop.fresse.org/dateutils/"
+DOWNLOAD="https://github.com/downloads/hroptatyr/dateutils/dateutils-0.2.3.tar.xz"
+MD5SUM="615c2d64d7c5ebc251145c2b9c59e49e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Audrius Kažukauskas"
+EMAIL="audrius@neutrino.lt"
diff --git a/system/dateutils/slack-desc b/system/dateutils/slack-desc
new file mode 100644
index 0000000000..54b887fa90
--- /dev/null
+++ b/system/dateutils/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dateutils: dateutils (command line tools to work with dates and times)
+dateutils:
+dateutils: Dateutils are a bunch of tools that revolve around fiddling with dates
+dateutils: and times in the command line with a strong focus on use cases that
+dateutils: arise when dealing with large amounts of financial data.
+dateutils:
+dateutils: Homepage: http://hrop.fresse.org/dateutils/
+dateutils:
+dateutils:
+dateutils:
+dateutils: